summaryrefslogtreecommitdiff
path: root/totsc/install-patch-us.sh
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
committerNick White <git@njw.me.uk>2009-04-13 12:31:42 +0100
commit1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513 (patch)
treeac5ca6418afec68f5f5c3f2f84601559d41d144b /totsc/install-patch-us.sh
downloadgemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.tar.bz2
gemrb-gameinstallers-1bbff3ce1b261ef9cb6ba217ca0d8fcb54971513.zip
Initial import
Diffstat (limited to 'totsc/install-patch-us.sh')
-rwxr-xr-xtotsc/install-patch-us.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/totsc/install-patch-us.sh b/totsc/install-patch-us.sh
new file mode 100755
index 0000000..1c400d6
--- /dev/null
+++ b/totsc/install-patch-us.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# BG1 TOTSC official US/Canada patch
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract unshield wget
+
+setuptmp
+
+getpatch http://downloads.bioware.com/baldursgate1/BGTalesUS5512.exe
+
+cabextract -L $TMPDIR/BGTalesUS5512.exe -d $TMPDIR || die
+unshield -L x $TMPDIR/data1.cab -d $TMPDIR || die
+
+cp -R $TMPDIR/minimumdata/* "$TARGETDIR" || die
+
+cleanuptmp
+setperms "$TARGETDIR"